



#trigger PvP_Mode
execute if entity @s[scores={PvP_Mode=1..}] run playsound minecraft:entity.wolf.growl ambient @a ~ ~ ~ 10 2
execute if entity @s[scores={PvP_Mode=1..}] if score !pvp_mode other matches ..0 run tellraw @a {"text":"PvP Mode is now set to True (Always allow PvP)","color":"#5c0537"}
execute if entity @s[scores={PvP_Mode=1..}] if score !pvp_mode other matches ..0 run team modify players friendlyFire true
execute if entity @s[scores={PvP_Mode=1..}] if score !pvp_mode other matches ..0 run tag @s add ignore324687
execute if entity @s[scores={PvP_Mode=1..}] if score !pvp_mode other matches ..0 run scoreboard players set !pvp_mode other 1

execute if entity @s[scores={PvP_Mode=1..},tag=!ignore324687] if score !pvp_mode other matches 1.. run tellraw @a {"text":"PvP Mode is now set to False (Allow PvP when not in mission)","color":"#5c0537"}
execute if entity @s[scores={PvP_Mode=1..},tag=!ignore324687] if score !pvp_mode other matches 1.. if score !inmission mission matches 1.. run team modify players friendlyFire false
execute if entity @s[scores={PvP_Mode=1..},tag=!ignore324687] if score !pvp_mode other matches 1.. run scoreboard players set !pvp_mode other 0

#trigger die
execute if entity @s[scores={Suicide=1..}] run scoreboard players set !fail_reason other 24

#trigger Cheat_Mode
execute if entity @s[scores={Cheat_Mode=1..}] run tellraw @a {"text":"Gave and unlocked all items","color":"#5c0537"}
execute if entity @s[scores={Cheat_Mode=1..}] at @a run playsound minecraft:entity.evoker.prepare_wololo ambient @a ~ ~ ~ 10 0
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !bomb_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !flame_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !food_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !grand_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !gun_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !heal_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !other_unlock pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !pistol_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !power_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !shotgun_count pl_items 69420
execute if entity @s[scores={Cheat_Mode=1..}] run scoreboard players set !sniper_count pl_items 69420

#trigger Next_stage
execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches 1.. run tellraw @a {"text":"Cheated to next stage (This often cause issues)!","color":"#5c0537"}
execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches 1.. unless entity @e[tag=hostile] run scoreboard players add !stage mission 1
execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches 1.. as @e[tag=hostile] run kill @s
execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches 1.. run tag @s add ignore324687
execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches 1.. run scoreboard players set @s Fast_Travel 1
execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches 1.. at @a run playsound minecraft:entity.bat.death ambient @a ~ ~ ~ 1 2

execute if entity @s[scores={Next_Stage=1000}] run scoreboard players add !stage mission 1
execute if entity @s[scores={Next_Stage=1001}] run scoreboard players set !fail_reason other 10

execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches ..0 run tellraw @a {"text":"Failed to reach next stage!","color":"#5c0537"}
execute if entity @s[scores={Next_Stage=1..999}] if score !inmission mission matches ..0 at @a run playsound minecraft:entity.bat.death ambient @a ~ ~ ~ 1 0


#trigger fast travel
execute if entity @s[scores={Fast_Travel=1..},tag=!ignore324687] if entity @e[type=armor_stand,tag=mission_reach,sort=nearest,limit=1] at @a run playsound minecraft:item.chorus_fruit.teleport ambient @a ~ ~ ~ 100 1
execute if entity @s[scores={Fast_Travel=1..},tag=!ignore324687] if entity @e[type=armor_stand,tag=mission_reach,sort=nearest,limit=1] run tellraw @a {"text":"Teleported to targeted location!","color":"#5c0537"}
execute if entity @s[scores={Fast_Travel=1..},tag=!ignore324687] unless entity @e[type=armor_stand,tag=mission_reach,sort=nearest,limit=1] run tellraw @a {"text":"Failed to teleport, try again later!","color":"#5c0537"}
execute if entity @s[scores={Fast_Travel=1..},tag=!ignore324687] unless entity @e[type=armor_stand,tag=mission_reach,sort=nearest,limit=1] at @a run playsound minecraft:entity.bee.death ambient @a ~ ~ ~ 100 1
execute if entity @s[scores={Fast_Travel=1..}] at @e[type=armor_stand,tag=mission_reach,sort=nearest,limit=1] run tp @a[tag=verified] ~ ~ ~

#trigger Reset_Game
execute if entity @s[scores={Reset_Game=1..}] at @a run playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~ ~ 100 0
execute if entity @s[scores={Reset_Game=1..}] run tellraw @a {"text":"Everything was reseted!","color":"#5c0537"}
execute if entity @s[scores={Reset_Game=1..}] as @a at @s run function we:reset_game

#Next_Mission
execute if entity @s[scores={Next_Mission=1..}] if score !fail_reason other matches -1 at @a run playsound minecraft:item.shield.block ambient @a ~ ~ ~ 100 0
execute if entity @s[scores={Next_Mission=1..}] if score !fail_reason other matches -1 run tellraw @a {"text":"Skipped to next mission!","color":"#5c0537"}
execute if entity @s[scores={Next_Mission=1..}] if score !fail_reason other matches -1 if score !inmission mission matches ..0 if score !missions mission matches ..27 run scoreboard players add !missions mission 1
execute if entity @s[scores={Next_Mission=1..}] if score !fail_reason other matches -1 if score !inmission mission matches 1.. run function we:mission_completed 

#trigger ghost
execute if entity @s[scores={Ghost=1..}] run tellraw @s {"text":"Toggled ghost mode!","color":"#5c0537"}
execute if entity @s[scores={Ghost=1..}] at @s run playsound minecraft:entity.wandering_trader.disappeared ambient @s ~ ~ ~ 100 2
execute if entity @s[scores={Ghost=1..}] if entity @s[gamemode=spectator] run tag @s add ignore0924
execute if entity @s[scores={Ghost=1..}] if entity @s[gamemode=spectator] run gamemode adventure @s
execute if entity @s[scores={Ghost=1..}] if entity @s[gamemode=!spectator,tag=!ignore0924] run gamemode spectator @s

#trigger Previous_Mission
execute if entity @s[scores={Previous_Mission=1..}] if score !fail_reason other matches -1 at @a run playsound minecraft:block.anvil.destroy ambient @a ~ ~ ~ 100 0
execute if entity @s[scores={Previous_Mission=1..}] if score !fail_reason other matches -1 run tellraw @a {"text":"Reseted current unlocked mission!","color":"#5c0537"}
execute if entity @s[scores={Previous_Mission=1..}] if score !fail_reason other matches -1 if score !inmission mission matches ..0 if score !missions mission matches 2.. run scoreboard players remove !missions mission 1
execute if entity @s[scores={Previous_Mission=1..}] if score !fail_reason other matches -1 if score !inmission mission matches 1.. run tag @a add ignore538523
execute if entity @s[scores={Previous_Mission=1..}] if score !fail_reason other matches -1 if score !inmission mission matches 1.. run function we:mission_completed 

#trigger Credits
execute if entity @s[scores={Credits=1..}] run playsound minecraft:ui.loom.take_result ambient @s ~ ~ ~ 10 0
execute if entity @s[scores={Credits=1..}] run tellraw @s ["",{"text":"Credits","color":"dark_purple"},{"text":"\n"},{"text":"Mission Duty is made by\nZombie1111 (Commander and Builder) and\n_Elton (Builder).","color":"dark_aqua"},{"text":" This map is made using\n4500 commands and has a build time of\naround 200h. The play area is 238x255.\n","color":"gray"},{"text":"Please report bugs in discord server!","italic":true,"color":"gray"}]
execute if entity @s[scores={Credits=1..}] run tellraw @s ["",{"text":"\n"},{"text":"[Discord]","color":"gold","clickEvent":{"action":"open_url","value":"https://discord.com/invite/nCXvVHh"}},{"text":"\n"},{"text":"[Youtube]","color":"gold","clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UCAB90LROYjH7W08u_j69sKw/featured"}},{"text":"\n","color":"gold"},{"text":"[Planet Minecraft]","color":"gold","clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/member/zombie1111/"}}]

#reset
scoreboard players set @a Credits 0
scoreboard players set @a Ghost 0
scoreboard players set @a Previous_Mission 0
scoreboard players set @a Next_Mission 0
scoreboard players set @a Suicide 0
scoreboard players set @a Cheat_Mode 0
scoreboard players set @a Fast_Travel 0
scoreboard players set @a Next_Stage 0
scoreboard players set @a Reset_Game 0
scoreboard players set @a PvP_Mode 0

scoreboard players enable @a Credits
scoreboard players enable @a Ghost
scoreboard players enable @a Previous_Mission
scoreboard players enable @a Next_Mission
scoreboard players enable @a Suicide
scoreboard players enable @a Cheat_Mode
scoreboard players enable @a Fast_Travel
scoreboard players enable @a Next_Stage
scoreboard players enable @a Reset_Game
scoreboard players enable @a PvP_Mode

execute if entity @s[tag=verified] run clear @s
execute if entity @s[tag=verified] run function we:give_items
tag @a remove ignore0924
tag @a remove ignore324687
tag @a remove ignore538523
execute as @a at @s run function we:give_items

